pam_wrapper

Data Fields
pamtest_conv_data Struct Reference
The pamtest API

This structure should be used when using run_pamtest, which uses an internal conversation function. More...

`#include <include/libpamtest.h>`

## Data Fields
const char ** | in_echo_off
| When the conversation function receives PAM_PROMPT_ECHO_OFF, it reads the auth token from the in_echo_off array and keeps an index internally.
const char ** | in_echo_on
| When the conversation function receives PAM_PROMPT_ECHO_ON, it reads the input from the in_echo_off array and keeps an index internally.
char ** | out_err
| Captures messages through PAM_ERROR_MSG. More...
char ** | out_info
| Captures messages through PAM_TEXT_INFO. More...

## Detailed Description

This structure should be used when using run_pamtest, which uses an internal conversation function.

## Field Documentation

## ◆ out_err

char** pamtest_conv_data::out_err

Captures messages through PAM_ERROR_MSG.

The test caller is responsible for allocating enough space in the array.

## ◆ out_info

char** pamtest_conv_data::out_info

Captures messages through PAM_TEXT_INFO.

The test caller is responsible for allocating enough space in the array.

The documentation for this struct was generated from the following file:

- include/libpamtest.h